import sys
import subprocess
import shutil
import click

def is_command_available(command_name):
    return shutil.which(command_name) is not None

def run_command(cmd, fail_on_nonzero_exit_code=True):
    exit_code = subprocess.run(cmd).returncode
    if exit_code != 0 and fail_on_nonzero_exit_code:
        click.echo(click.style(f"Error: command `{' '.join([str(c) for c in cmd])}` returned {exit_code}", fg='bright_red'))
        sys.exit()
    return exit_code
